<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
	<parent>
		<artifactId>orbit-base-track</artifactId>
		<groupId>orbit.base.server</groupId>
		<version>0.0.1</version>
	</parent>
	<modelVersion>4.0.0</modelVersion>

	<artifactId>base-track-service</artifactId>


	<properties>
		<maven.compiler.source>8</maven.compiler.source>
		<maven.compiler.target>8</maven.compiler.target>
		<project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
	</properties>

	<dependencies>
		<!-- 结束依赖子模块 -->
		<!-- web控制依赖 -->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter</artifactId>
		</dependency>

		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<scope>test</scope>
		</dependency>

		<!-- nacos注册 -->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
		</dependency>

		<!-- nacos配置-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
		</dependency>

		<!-- spring-cloud-dependencies 2020.0.1 版本不在默认加载bootstrap 文件
             引入该依赖读取bootstrap文件 -->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-bootstrap</artifactId>
		</dependency>

		<!-- 连接池 -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>

		<!-- mysql驱动 -->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-openfeign</artifactId>
		</dependency>
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-openfeign-core</artifactId>
		</dependency>


		<!-- 开始依赖子模块 -->
<!--		<dependency>-->
<!--			<groupId>orbit.base.server</groupId>-->
<!--			<artifactId>framework-mq</artifactId>-->
<!--			<version>0.0.1</version>-->
<!--		</dependency>-->
		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>framework-common</artifactId>
			<version>0.0.1</version>
		</dependency>

		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>framework-task</artifactId>
			<version>0.0.1</version>
		</dependency>
		<dependency>
			<groupId>org.mybatis.spring.boot</groupId>
			<artifactId>mybatis-spring-boot-autoconfigure</artifactId>
		</dependency>

		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>base-track-api</artifactId>
			<version>0.0.1</version>
		</dependency>

		<dependency>
			<groupId>gov.nist.math</groupId>
			<artifactId>jama</artifactId>
			<version>1.0.2</version>
		</dependency>

		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>base-biz-api</artifactId>
		</dependency>
		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>base-plan-api</artifactId>
			<version>0.0.1</version>
		</dependency>

		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>framework-log</artifactId>
			<version>0.0.1</version>
		</dependency>
<!--		<dependency>-->
<!--			<groupId>orbit.base.server</groupId>-->
<!--			<artifactId>framework-core</artifactId>-->
<!--			<version>0.0.1</version>-->
<!--		</dependency>-->

<!--		<dependency>-->
<!--			<groupId>orbit.base.server</groupId>-->
<!--			<artifactId>framework-step</artifactId>-->
<!--			<version>0.0.1</version>-->
<!--		</dependency>-->


		<!--客户端负载均衡loadbalancer-->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-loadbalancer</artifactId>
		</dependency>
		<dependency>
			<groupId>com.github.xiaoymin</groupId>
			<artifactId>knife4j-spring-boot-starter</artifactId>
			<version>2.0.4</version>
		</dependency>
<!--		<dependency>
			<groupId>orbit.base.server</groupId>
			<artifactId>base-server-api</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.springframework.cloud</groupId>
					<artifactId>spring-cloud-openfeign-core</artifactId>
				</exclusion>
				<exclusion>
					<groupId>org.springframework.cloud</groupId>
					<artifactId>spring-cloud-starter-openfeign</artifactId>
				</exclusion>
			</exclusions>
		</dependency>-->

		<!-- Sharding-JDBC -->
		<dependency>
			<groupId>org.apache.shardingsphere</groupId>
			<artifactId>sharding-jdbc-spring-boot-starter</artifactId>
			<exclusions>
				<exclusion>
					<artifactId>guava</artifactId>
					<groupId>com.google.guava</groupId>
				</exclusion>
			</exclusions>
		</dependency>

    </dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
				<executions>
					<execution>
						<goals>
							<goal>repackage</goal>
						</goals>
					</execution>
				</executions>
			</plugin>
		</plugins>
	</build>

</project>
